uicc.toolkit

## Class TerminalProfile

- java.lang.Object
- - uicc.toolkit.TerminalProfile

-     public final class TerminalProfile
      extends java.lang.Object

  The `TerminalProfile` class contains methods to question the terminal profile, regarding the support for "Common Application Toolkit CAT" and supposing that this profile has been set by the Terminal Profile APDU command.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `IDX_ALIGNMENT_CENTER` Text Attribute: Alignment Center = 217
    `static short` | `IDX_ALIGNMENT_LEFT` Text Attribute: Alignment Left = 216
    `static short` | `IDX_ALIGNMENT_RIGHT` Text Attribute: Alignment Right = 218
    `static short` | `IDX_BLUETOOTH` Bluetooth index = 98
    `static short` | `IDX_CALL_CONTROLL_BY_NAA` Call Control by NAA index = 7
    `static short` | `IDX_CAT_SUPPORTED` Support of CAT over the modem interface (if class "s" is supported) = 244
    `static short` | `IDX_CELL_BROADCAST_DOWNLOAD` Cell Broadcast Download index = 2
    `static short` | `IDX_CHTML_BROWSER_SUPPORTED` CHTML Browser supported = 163
    `static short` | `IDX_COMMAND_RESULT` Command Result index = 8
    `static short` | `IDX_CONTAINER_AND_SESSION_CONTROL` Proactive UICC: Profile Container, Envelope Container, COMMAND CONTAINER and ENCAPSULATED SESSION CONTROL = 247;
    `static short` | `IDX_CSD` CSD index = 96
    `static short` | `IDX_DIRECT_COMMUNICATION_FOR_OPEN_CHANNEL` Direct communication channel supported for OPEN CHANNEL in Terminal Server Mode = 252;
    `static short` | `IDX_DISPLAY_RESIZE` Display Resize index = 120
    `static short` | `IDX_DISPLAY_TEXT` Display Text index = 15
    `static short` | `IDX_DNS_SERVER_ADDRESS_OPEN_CHANNEL` Support for DNS server address request for OPEN CHANNEL for packet data service bearer = 256
    `static short` | `IDX_EVENT_ACCESS_TECHNOLOGY_CHANGE` Event Access Technology Change index = 44
    `static short` | `IDX_EVENT_BROWSER_TERMINATION` Event Browser Termination index = 41
    `static short` | `IDX_EVENT_BROWSING_STATUS` Event: Browsing Status = 192
    `static short` | `IDX_EVENT_CALL_CONNECTED` Event Call Connected index = 34
    `static short` | `IDX_EVENT_CALL_DISCONNECTED` Event Call Disconnected index = 35
    `static short` | `IDX_EVENT_CARD_READER_STATUS` Event Card Reader Status index = 39
    `static short` | `IDX_EVENT_CHANNEL_STATUS` Event Channel Status index = 43
    `static short` | `IDX_EVENT_DATA_AVAILABLE` Event Data Available index = 42
    `static short` | `IDX_EVENT_DISPLAY_PARAMETER_CHANGED` Event Display Parameter Change index = 45
    `static short` | `IDX_EVENT_IDLE_SCREEN_AVAILABLE` Event Idle Screen Available index = 38
    `static short` | `IDX_EVENT_LANGUAGAE_SELECTION` Event Language Selection index = 40
    `static short` | `IDX_EVENT_LOCAL_CONNECTION` Event Local Connection index = 46
    `static short` | `IDX_EVENT_LOCATION_STATTUS` Event Location Status index = 36
    `static short` | `IDX_EVENT_MT_CALL` Event MT Call index = 33
    `static short` | `IDX_EVENT_NRETWORK_SEARCH_MODE_CHANGE` Event Network Search Mode = 47
    `static short` | `IDX_EVENT_POLL_INTERVAL_NEGOTIATION` Event Poll Interval Negotiation support(i.e.
    `static short` | `IDX_EVENT_USER_ACTIVITY` Event User Activity index = 37
    `static short` | `IDX_FONT_SIZE_LARGE` Text Attribute: Font Size Large = 220
    `static short` | `IDX_FONT_SIZE_NORMAL` Text Attribute: Font Size Normal = 219
    `static short` | `IDX_FONT_SIZE_SMALL` Text Attribute: Font Size Small = 221
    `static short` | `IDX_GET_FRAMES_STATUS` Get Frames Status = 177
    `static short` | `IDX_GPRS` GPRS index = 97
    `static short` | `IDX_HTML_BROWSER_SUPPORTED` HTML Browser supported = 162
    `static short` | `IDX_IRDA` IRDA index = 99
    `static short` | `IDX_LAUNCH_PARAMETERS_FOR_OPEN_CHANNEL` Launch parameter supported for OPEN CHANNEL in Terminal Server Mode = 251
    `static short` | `IDX_MENU_SELECTION` Menu Selection index = 3
    `static short` | `IDX_MULTI_MEDIA_CALL_IN_SET_UP_CALL` Multi-media Call in SET UP CALL = 171
    `static short` | `IDX_MULTIPLE_ACCESS_TECHNOLOGIES_SUPPORT` Support: Multiple access technologies = 199
    `static short` | `IDX_NETWORK_ACCESS_NAME_REUSE_CLOSE_CHANNEL` Support of NEtwork Access Name reuse for CLOSE CHANNEL for packet data service bearer = 257
    `static short` | `IDX_OPEN_CHANNEL_COFIRMATION_PARAMETER` Deprecated.
    `static short` | `IDX_OPEN_CHANNEL_CONFIRMATION_PARAMETER` Confirmation parameters supported for OPEN CHANNEL in Terminal Server Mode = 242
    `static short` | `IDX_PLAY_TONE_MELODY_THEMED_TONES` Play Tone (melody Tones and Themed tones) = 170
    `static short` | `IDX_PROACTIVE_UICC_ACTIVATE` Proactive UICC: ACTIVATE = 236
    `static short` | `IDX_PROACTIVE_UICC_CLOSE_CHANNEL` Proactive UICC Close Channel index = 89
    `static short` | `IDX_PROACTIVE_UICC_CONTACTLESS_STATE_CHANGED` Proactive UICC: Contactless State Changed = 240
    `static short` | `IDX_PROACTIVE_UICC_DECLARE_SERVICE` Proactive UICC Declare Service index = 95
    `static short` | `IDX_PROACTIVE_UICC_DISPLAY_TEXT` Proactive UICC Display Text index = 16
    `static short` | `IDX_PROACTIVE_UICC_DISPLAY_TEXT_VARIABLE_TIMEOUT` Proactive UICC Display Text Variable Timeout index = 136
    `static short` | `IDX_PROACTIVE_UICC_GET_CHANNEL_STATUS` Proactive UICC Get Channel Status index = 92
    `static short` | `IDX_PROACTIVE_UICC_GET_INKEY` Proactive UICC Get Inkey index = 17
    `static short` | `IDX_PROACTIVE_UICC_GET_INKEY_HELP_SUPPORTED` Proactive UICC Get Inkey Help Supported index = 137
    `static short` | `IDX_PROACTIVE_UICC_GET_INKEY_VARIABLE_TIMEOUT` Proactive UICC Get Inkey Variable Timeout index = 139
    `static short` | `IDX_PROACTIVE_UICC_GET_INPUT` Proactive UICC Get Input index = 18
    `static short` | `IDX_PROACTIVE_UICC_GET_READER_STATUS_IDENTIFIER` Proactive UICC Get Reader Status (identifier) index = 52
    `static short` | `IDX_PROACTIVE_UICC_GET_READER_STATUS_STATUS` Proactive UICC Get Reader Status (status) index = 51
    `static short` | `IDX_PROACTIVE_UICC_GET_SERVICE_INFORMATION` Proactive UICC Get Service information index = 94
    `static short` | `IDX_PROACTIVE_UICC_LANGUAGE_NOTIFICATION` Proactive UICC Provide Language Notification index = 69
    `static short` | `IDX_PROACTIVE_UICC_LAUNCH_BROWSER` Proactive UICC Launch Browser index = 70
    `static short` | `IDX_PROACTIVE_UICC_MORE_TIME` Proactive UICC More Time index = 19
    `static short` | `IDX_PROACTIVE_UICC_OPEN_CHANNEL` Proactive UICC Open Channel index = 88
    `static short` | `IDX_PROACTIVE_UICC_PERFORM_CARD_APDU` Proactive UICC Perform Card APDU index = 50
    `static short` | `IDX_PROACTIVE_UICC_PLAY_TONE` Proactive UICC Play Tone index = 20
    `static short` | `IDX_PROACTIVE_UICC_POLL_INTERVAL` Proactive UICC Poll Interval index = 21
    `static short` | `IDX_PROACTIVE_UICC_POLLING_OFF` Proactive UICC Polling OFF index = 22
    `static short` | `IDX_PROACTIVE_UICC_POWER_OFF_CARD` Proactive UICC Power Off Card index = 49
    `static short` | `IDX_PROACTIVE_UICC_POWER_ON_CARD` Proactive UICC Power On Card index = 48
    `static short` | `IDX_PROACTIVE_UICC_PROVIDE_LOCAL_INFORMATION_ACCESS_TECHNOLOGY` Proactive UICC Provide Local Information Access Technology index = 71
    `static short` | `IDX_PROACTIVE_UICC_PROVIDE_LOCAL_INFORMATION_BROADCAST_NETWORK` Proactive UICC: PROVIDE LOCAL INFORMATION (Boradcast Network Informations)=238
    `static short` | `IDX_PROACTIVE_UICC_PROVIDE_LOCAL_INFORMATION_DATE_TIME` Proactive UICC Provide Local Information Date Time index = 58
    `static short` | `IDX_PROACTIVE_UICC_PROVIDE_LOCAL_INFORMATION_LANGUAGE` Proactive UICC Provide Local Information Language index = 67
    `static short` | `IDX_PROACTIVE_UICC_PROVIDE_LOCAL_INFORMATION_MCC_MNC_LAC_CELLID_IMEI` Proactive UICC Proactive Local Information MSS,MNC,LAC,CELLID,IMEI index = 30
    `static short` | `IDX_PROACTIVE_UICC_PROVIDE_LOCAL_INFORMATION_NMR` Proactive UICC Provide Local Information NMR index = 31
    `static short` | `IDX_PROACTIVE_UICC_PROVIDE_LOCAL_INFORMATION_TIMING` Proactive UICC Provide local Information Timing index = 68
    `static short` | `IDX_PROACTIVE_UICC_RECEIVE_DATA` Proactive UICC Receive Data index = 90
    `static short` | `IDX_PROACTIVE_UICC_REFRESH` Proactive UICC Refresh index = 23
    `static short` | `IDX_PROACTIVE_UICC_RUN_AT_COMMAND` Proactive UICC Run AT Command index = 61
    `static short` | `IDX_PROACTIVE_UICC_SELECT_ITEM` Proactive UICC Select Item index = 24
    `static short` | `IDX_PROACTIVE_UICC_SEND_DATA` Proactive UICC Send Data index = 91
    `static short` | `IDX_PROACTIVE_UICC_SEND_SS` Proactive UICC Send SS index = 26
    `static short` | `IDX_PROACTIVE_UICC_SERVICE_SEARCH` Proactive UICC Service Search index = 93
    `static short` | `IDX_PROACTIVE_UICC_SET_UP_CALL` Proactive UICC Set Up Call index = 28
    `static short` | `IDX_PROACTIVE_UICC_SET_UP_EVENT_LIST` Proactive UICC Set Up Event List index = 32
    `static short` | `IDX_PROACTIVE_UICC_SET_UP_MENU` Proactive UICC Set Up Menu index = 29
    `static short` | `IDX_PROACTIVE_UICC_TIMER_MANAGEMENT_CUR_VALUE` Proactive UICC Timer Management (current value) index = 57
    `static short` | `IDX_PROACTIVE_UICC_TIMER_MANAGEMENT_START_STOP` Proactive UICC Timer Management (start, stop) index = 56
    `static short` | `IDX_PROFILE_DOWNLOAD` Profile Download index = 0
    `static short` | `IDX_PROVIDE_LOCAL_INFORMATION_BATTERY_STATE` Provide Local Information (Battery State) = 169
    `static short` | `IDX_PROVIDE_LOCAL_INFORMATION_ESN` Provide Local Information ESN index = 140
    `static short` | `IDX_PROVIDE_LOCAL_INFORMATION_IMEISV` Provide Local Information (IMEISV)= 142;
    `static short` | `IDX_PROVIDE_LOCAL_INFORMATION_SEARCH_MODE_CHANGE` Provide Local Information (Search Mode Change) = 143
    `static short` | `IDX_PROVIDE_LOCAL_INFORMATION_SUPPORTED_RADIO_ACCESS_TECHNOLOGIES` Proactive UICC: PROVIDE LOCAL INFORMATION (Supported Radio Access Technologies) = (short)260;
    `static short` | `IDX_REFRESH_ENFORCEMENT_POLICY` Support of refresh enforcement policy = 255
    `static short` | `IDX_REFRESH_eUICC_PROFILE_SWITCH` Support of Refresh eUICC Profile Switch = (short)267;
    `static short` | `IDX_RS232` RS232 index = 100
    `static short` | `IDX_SCREEN_SIZING` Screen Sizing index = 111
    `static short` | `IDX_SECURE_CONTAINER_AND_SESSION_CONTROL` Proactive UICC: Security for Profile Container, Envelope Container, COMMAND CONTAINER and ENCAPSULATED SESSION CONTROL = 253
    `static short` | `IDX_SEND_DTMF` Send DTMF index = 65
    `static short` | `IDX_SET_FRAMES` Set Frames = 176
    `static short` | `IDX_SETUP_CALL` Proactive UICC Setup Call index = 62
    `static short` | `IDX_SMS_PP_DOWNLOAD` SMS PP Download index = 1
    `static short` | `IDX_SOFT_KEYS_SELECT_ITEM` Soft Keys Select Item index = 72
    `static short` | `IDX_SOFT_KEYS_SET_UP_MENU` Soft Keys Set Up Menu index = 73
    `static short` | `IDX_STYLE_BOLD` Text Attribute: Style Bold = 224
    `static short` | `IDX_STYLE_ITALIC` Text Attribute: Style Italic = 226
    `static short` | `IDX_STYLE_NORMAL` Text Attribute: Style Normal = 224
    `static short` | `IDX_STYLE_STRIKETHROUGH` Text Attribute: Style Strikethrough = 228
    `static short` | `IDX_STYLE_TEXT_BACKGROUND_COLOUR` Text Attribute: Style Text Background Colour = 230
    `static short` | `IDX_STYLE_TEXT_FOREGROUND_COLOUR` Text Attribute: Style Text Colour = 229
    `static short` | `IDX_STYLE_UNDERLINED` Text Attribute: Style Underlined = 227
    `static short` | `IDX_TCP` TCP index = 128
    `static short` | `IDX_TERMINAL_APPLICATIONS` Proactive UICC: TERMINAL APPLICATIONS = 234
    `static short` | `IDX_TEXT_ATTRIBUTE` Text Attribute index = 123
    `static short` | `IDX_TEXT_SCROLLING` Text Scrolling index = 122
    `static short` | `IDX_TEXT_WRAPPING` Text Wrapping index = 121
    `static short` | `IDX_TIMER_EXPIRATION` Time Expiration index = 5
    `static short` | `IDX_UCS2_DISPLAY` UCS2 Display index = 14
    `static short` | `IDX_UCS2_ENTRY` UCS2 Entry index = 13
    `static short` | `IDX_UDP` UDP index = 129
    `static short` | `IDX_USB` USB index = 138
    `static short` | `IDX_VARIABLE_SIZE_FONTS` Variable Size Fonts index = 119
    `static short` | `IDX_WML_BROWSER_SUPPORTED` WML Browser supported = 160
    `static short` | `IDX_XHTML_BROWSER_SUPPORTED` XHTML Browser supported = 161

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `check(byte index)` Checks a facility in the handset profile.
    `static boolean` | `check(byte[] mask, short offset, short length)` Checks a set of facilities in the handset profile.
    `static boolean` | `check(short index)` Checks a facility in the handset profile.
    `static short` | `copy(short startOffset, byte[] dstBuffer, short dstOffset, short dstLength)` Copies a part of the handset profile in a buffer.
    `static short` | `getValue(short indexMSB, short indexLSB)` Returns the binary value of a parameter, delimited by two indexes, from the handset profile.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### IDX_PROFILE_DOWNLOAD

          public static final short IDX_PROFILE_DOWNLOAD

      Profile Download index = 0
      See Also:
        Constant Field Values

    - #### IDX_SMS_PP_DOWNLOAD

          public static final short IDX_SMS_PP_DOWNLOAD

      SMS PP Download index = 1
      See Also:
        Constant Field Values

    - #### IDX_CELL_BROADCAST_DOWNLOAD

          public static final short IDX_CELL_BROADCAST_DOWNLOAD

      Cell Broadcast Download index = 2
      See Also:
        Constant Field Values

    - #### IDX_MENU_SELECTION

          public static final short IDX_MENU_SELECTION

      Menu Selection index = 3
      See Also:
        Constant Field Values

    - #### IDX_TIMER_EXPIRATION

          public static final short IDX_TIMER_EXPIRATION

      Time Expiration index = 5
      See Also:
        Constant Field Values

    - #### IDX_CALL_CONTROLL_BY_NAA

          public static final short IDX_CALL_CONTROLL_BY_NAA

      Call Control by NAA index = 7
      See Also:
        Constant Field Values

    - #### IDX_COMMAND_RESULT

          public static final short IDX_COMMAND_RESULT

      Command Result index = 8
      See Also:
        Constant Field Values

    - #### IDX_UCS2_ENTRY

          public static final short IDX_UCS2_ENTRY

      UCS2 Entry index = 13
      See Also:
        Constant Field Values

    - #### IDX_UCS2_DISPLAY

          public static final short IDX_UCS2_DISPLAY

      UCS2 Display index = 14
      See Also:
        Constant Field Values

    - #### IDX_DISPLAY_TEXT

          public static final short IDX_DISPLAY_TEXT

      Display Text index = 15
      See Also:
        Constant Field Values

    - #### IDX_PROACTIVE_UICC_DISPLAY_TEXT

          public static final short IDX_PROACTIVE_UICC_DISPLAY_TEXT

      Proactive UICC Display Text index = 16
      See Also:
        Constant Field Values

    - #### IDX_PROACTIVE_UICC_GET_INKEY

          public static final short IDX_PROACTIVE_UICC_GET_INKEY

      Proactive UICC Get Inkey index = 17
      See Also:
        Constant Field Values

    - #### IDX_PROACTIVE_UICC_GET_INPUT

          public static final short IDX_PROACTIVE_UICC_GET_INPUT

      Proactive UICC Get Input index = 18
      See Also:
        Constant Field Values

    - #### IDX_PROACTIVE_UICC_MORE_TIME

          public static final short IDX_PROACTIVE_UICC_MORE_TIME

      Proactive UICC More Time index = 19
      See Also:
        Constant Field Values

    - #### IDX_PROACTIVE_UICC_PLAY_TONE

          public static final short IDX_PROACTIVE_UICC_PLAY_TONE

      Proactive UICC Play Tone index = 20
      See Also:
        Constant Field Values

    - #### IDX_PROACTIVE_UICC_POLL_INTERVAL

          public static final short IDX_PROACTIVE_UICC_POLL_INTERVAL

      Proactive UICC Poll Interval index = 21
      See Also:
        Constant Field Values

    - #### IDX_PROACTIVE_UICC_POLLING_OFF

          public static final short IDX_PROACTIVE_UICC_POLLING_OFF

      Proactive UICC Polling OFF index = 22
      See Also:
        Constant Field Values

    - #### IDX_PROACTIVE_UICC_REFRESH

          public static final short IDX_PROACTIVE_UICC_REFRESH

      Proactive UICC Refresh index = 23
      See Also:
        Constant Field Values

    - #### IDX_PROACTIVE_UICC_SELECT_ITEM

          public static final short IDX_PROACTIVE_UICC_SELECT_ITEM

      Proactive UICC Select Item index = 24
      See Also:
        Constant Field Values

    - #### IDX_PROACTIVE_UICC_SEND_SS

          public static final short IDX_PROACTIVE_UICC_SEND_SS

      Proactive UICC Send SS index = 26
      See Also:
        Constant Field Values

    - #### IDX_PROACTIVE_UICC_SET_UP_CALL

          public static final short IDX_PROACTIVE_UICC_SET_UP_CALL

      Proactive UICC Set Up Call index = 28
      See Also:
        Constant Field Values

    - #### IDX_PROACTIVE_UICC_SET_UP_MENU

          public static final short IDX_PROACTIVE_UICC_SET_UP_MENU

      Proactive UICC Set Up Menu index = 29
      See Also:
        Constant Field Values

    - #### IDX_PROACTIVE_UICC_PROVIDE_LOCAL_INFORMATION_MCC_MNC_LAC_CELLID_IMEI

          public static final short IDX_PROACTIVE_UICC_PROVIDE_LOCAL_INFORMATION_MCC_MNC_LAC_CELLID_IMEI

      Proactive UICC Proactive Local Information MSS,MNC,LAC,CELLID,IMEI index = 30
      See Also:
        Constant Field Values

    - #### IDX_PROACTIVE_UICC_PROVIDE_LOCAL_INFORMATION_NMR

          public static final short IDX_PROACTIVE_UICC_PROVIDE_LOCAL_INFORMATION_NMR

      Proactive UICC Provide Local Information NMR index = 31
      See Also:
        Constant Field Values

    - #### IDX_PROACTIVE_UICC_SET_UP_EVENT_LIST

          public static final short IDX_PROACTIVE_UICC_SET_UP_EVENT_LIST

      Proactive UICC Set Up Event List index = 32
      See Also:
        Constant Field Values

    - #### IDX_EVENT_MT_CALL

          public static final short IDX_EVENT_MT_CALL

      Event MT Call index = 33
      See Also:
        Constant Field Values

    - #### IDX_EVENT_CALL_CONNECTED

          public static final short IDX_EVENT_CALL_CONNECTED

      Event Call Connected index = 34
      See Also:
        Constant Field Values

    - #### IDX_EVENT_CALL_DISCONNECTED

          public static final short IDX_EVENT_CALL_DISCONNECTED

      Event Call Disconnected index = 35
      See Also:
        Constant Field Values

    - #### IDX_EVENT_LOCATION_STATTUS

          public static final short IDX_EVENT_LOCATION_STATTUS

      Event Location Status index = 36
      See Also:
        Constant Field Values

    - #### IDX_EVENT_USER_ACTIVITY

          public static final short IDX_EVENT_USER_ACTIVITY

      Event User Activity index = 37
      See Also:
        Constant Field Values

    - #### IDX_EVENT_IDLE_SCREEN_AVAILABLE

          public static final short IDX_EVENT_IDLE_SCREEN_AVAILABLE

      Event Idle Screen Available index = 38
      See Also:
        Constant Field Values

    - #### IDX_EVENT_CARD_READER_STATUS

          public static final short IDX_EVENT_CARD_READER_STATUS

      Event Card Reader Status index = 39
      See Also:
        Constant Field Values

    - #### IDX_EVENT_LANGUAGAE_SELECTION

          public static final short IDX_EVENT_LANGUAGAE_SELECTION

      Event Language Selection index = 40
      See Also:
        Constant Field Values

    - #### IDX_EVENT_BROWSER_TERMINATION

          public static final short IDX_EVENT_BROWSER_TERMINATION

      Event Browser Termination index = 41
      See Also:
        Constant Field Values

    - #### IDX_EVENT_DATA_AVAILABLE

          public static final short IDX_EVENT_DATA_AVAILABLE

      Event Data Available index = 42
      See Also:
        Constant Field Values

    - #### IDX_EVENT_CHANNEL_STATUS

          public static final short IDX_EVENT_CHANNEL_STATUS

      Event Channel Status index = 43
      See Also:
        Constant Field Values

    - #### IDX_EVENT_ACCESS_TECHNOLOGY_CHANGE

          public static final short IDX_EVENT_ACCESS_TECHNOLOGY_CHANGE

      Event Access Technology Change index = 44
      See Also:
        Constant Field Values

    - #### IDX_EVENT_DISPLAY_PARAMETER_CHANGED

          public static final short IDX_EVENT_DISPLAY_PARAMETER_CHANGED

      Event Display Parameter Change index = 45
      See Also:
        Constant Field Values

    - #### IDX_EVENT_LOCAL_CONNECTION

          public static final short IDX_EVENT_LOCAL_CONNECTION

      Event Local Connection index = 46
      See Also:
        Constant Field Values

    - #### IDX_EVENT_NRETWORK_SEARCH_MODE_CHANGE

          public static final short IDX_EVENT_NRETWORK_SEARCH_MODE_CHANGE

      Event Network Search Mode = 47
      See Also:
        Constant Field Values

    - #### IDX_PROACTIVE_UICC_POWER_ON_CARD

          public static final short IDX_PROACTIVE_UICC_POWER_ON_CARD

      Proactive UICC Power On Card index = 48
      See Also:
        Constant Field Values

    - #### IDX_PROACTIVE_UICC_POWER_OFF_CARD

          public static final short IDX_PROACTIVE_UICC_POWER_OFF_CARD

      Proactive UICC Power Off Card index = 49
      See Also:
        Constant Field Values

    - #### IDX_PROACTIVE_UICC_PERFORM_CARD_APDU

          public static final short IDX_PROACTIVE_UICC_PERFORM_CARD_APDU

      Proactive UICC Perform Card APDU index = 50
      See Also:
        Constant Field Values

    - #### IDX_PROACTIVE_UICC_GET_READER_STATUS_STATUS

          public static final short IDX_PROACTIVE_UICC_GET_READER_STATUS_STATUS

      Proactive UICC Get Reader Status (status) index = 51
      See Also:
        Constant Field Values

    - #### IDX_PROACTIVE_UICC_GET_READER_STATUS_IDENTIFIER

          public static final short IDX_PROACTIVE_UICC_GET_READER_STATUS_IDENTIFIER

      Proactive UICC Get Reader Status (identifier) index = 52
      See Also:
        Constant Field Values

    - #### IDX_PROACTIVE_UICC_TIMER_MANAGEMENT_START_STOP

          public static final short IDX_PROACTIVE_UICC_TIMER_MANAGEMENT_START_STOP

      Proactive UICC Timer Management (start, stop) index = 56
      See Also:
        Constant Field Values

    - #### IDX_PROACTIVE_UICC_TIMER_MANAGEMENT_CUR_VALUE

          public static final short IDX_PROACTIVE_UICC_TIMER_MANAGEMENT_CUR_VALUE

      Proactive UICC Timer Management (current value) index = 57
      See Also:
        Constant Field Values

    - #### IDX_PROACTIVE_UICC_PROVIDE_LOCAL_INFORMATION_DATE_TIME

          public static final short IDX_PROACTIVE_UICC_PROVIDE_LOCAL_INFORMATION_DATE_TIME

      Proactive UICC Provide Local Information Date Time index = 58
      See Also:
        Constant Field Values

    - #### IDX_PROACTIVE_UICC_RUN_AT_COMMAND

          public static final short IDX_PROACTIVE_UICC_RUN_AT_COMMAND

      Proactive UICC Run AT Command index = 61
      See Also:
        Constant Field Values

    - #### IDX_SETUP_CALL

          public static final short IDX_SETUP_CALL

      Proactive UICC Setup Call index = 62
      See Also:
        Constant Field Values

    - #### IDX_SEND_DTMF

          public static final short IDX_SEND_DTMF

      Send DTMF index = 65
      See Also:
        Constant Field Values

    - #### IDX_PROACTIVE_UICC_PROVIDE_LOCAL_INFORMATION_LANGUAGE

          public static final short IDX_PROACTIVE_UICC_PROVIDE_LOCAL_INFORMATION_LANGUAGE

      Proactive UICC Provide Local Information Language index = 67
      See Also:
        Constant Field Values

    - #### IDX_PROACTIVE_UICC_PROVIDE_LOCAL_INFORMATION_TIMING

          public static final short IDX_PROACTIVE_UICC_PROVIDE_LOCAL_INFORMATION_TIMING

      Proactive UICC Provide local Information Timing index = 68
      See Also:
        Constant Field Values

    - #### IDX_PROACTIVE_UICC_LANGUAGE_NOTIFICATION

          public static final short IDX_PROACTIVE_UICC_LANGUAGE_NOTIFICATION

      Proactive UICC Provide Language Notification index = 69
      See Also:
        Constant Field Values

    - #### IDX_PROACTIVE_UICC_LAUNCH_BROWSER

          public static final short IDX_PROACTIVE_UICC_LAUNCH_BROWSER

      Proactive UICC Launch Browser index = 70
      See Also:
        Constant Field Values

    - #### IDX_PROACTIVE_UICC_PROVIDE_LOCAL_INFORMATION_ACCESS_TECHNOLOGY

          public static final short IDX_PROACTIVE_UICC_PROVIDE_LOCAL_INFORMATION_ACCESS_TECHNOLOGY

      Proactive UICC Provide Local Information Access Technology index = 71
      See Also:
        Constant Field Values

    - #### IDX_SOFT_KEYS_SELECT_ITEM

          public static final short IDX_SOFT_KEYS_SELECT_ITEM

      Soft Keys Select Item index = 72
      See Also:
        Constant Field Values

    - #### IDX_SOFT_KEYS_SET_UP_MENU

          public static final short IDX_SOFT_KEYS_SET_UP_MENU

      Soft Keys Set Up Menu index = 73
      See Also:
        Constant Field Values

    - #### IDX_PROACTIVE_UICC_OPEN_CHANNEL

          public static final short IDX_PROACTIVE_UICC_OPEN_CHANNEL

      Proactive UICC Open Channel index = 88
      See Also:
        Constant Field Values

    - #### IDX_PROACTIVE_UICC_CLOSE_CHANNEL

          public static final short IDX_PROACTIVE_UICC_CLOSE_CHANNEL

      Proactive UICC Close Channel index = 89
      See Also:
        Constant Field Values

    - #### IDX_PROACTIVE_UICC_RECEIVE_DATA

          public static final short IDX_PROACTIVE_UICC_RECEIVE_DATA

      Proactive UICC Receive Data index = 90
      See Also:
        Constant Field Values

    - #### IDX_PROACTIVE_UICC_SEND_DATA

          public static final short IDX_PROACTIVE_UICC_SEND_DATA

      Proactive UICC Send Data index = 91
      See Also:
        Constant Field Values

    - #### IDX_PROACTIVE_UICC_GET_CHANNEL_STATUS

          public static final short IDX_PROACTIVE_UICC_GET_CHANNEL_STATUS

      Proactive UICC Get Channel Status index = 92
      See Also:
        Constant Field Values

    - #### IDX_PROACTIVE_UICC_SERVICE_SEARCH

          public static final short IDX_PROACTIVE_UICC_SERVICE_SEARCH

      Proactive UICC Service Search index = 93
      See Also:
        Constant Field Values

    - #### IDX_PROACTIVE_UICC_GET_SERVICE_INFORMATION

          public static final short IDX_PROACTIVE_UICC_GET_SERVICE_INFORMATION

      Proactive UICC Get Service information index = 94
      See Also:
        Constant Field Values

    - #### IDX_PROACTIVE_UICC_DECLARE_SERVICE

          public static final short IDX_PROACTIVE_UICC_DECLARE_SERVICE

      Proactive UICC Declare Service index = 95
      See Also:
        Constant Field Values

    - #### IDX_CSD

          public static final short IDX_CSD

      CSD index = 96
      See Also:
        Constant Field Values

    - #### IDX_GPRS

          public static final short IDX_GPRS

      GPRS index = 97
      See Also:
        Constant Field Values

    - #### IDX_BLUETOOTH

          public static final short IDX_BLUETOOTH

      Bluetooth index = 98
      See Also:
        Constant Field Values

    - #### IDX_IRDA

          public static final short IDX_IRDA

      IRDA index = 99
      See Also:
        Constant Field Values

    - #### IDX_RS232

          public static final short IDX_RS232

      RS232 index = 100
      See Also:
        Constant Field Values

    - #### IDX_SCREEN_SIZING

          public static final short IDX_SCREEN_SIZING

      Screen Sizing index = 111
      See Also:
        Constant Field Values

    - #### IDX_VARIABLE_SIZE_FONTS

          public static final short IDX_VARIABLE_SIZE_FONTS

      Variable Size Fonts index = 119
      See Also:
        Constant Field Values

    - #### IDX_DISPLAY_RESIZE

          public static final short IDX_DISPLAY_RESIZE

      Display Resize index = 120
      See Also:
        Constant Field Values

    - #### IDX_TEXT_WRAPPING

          public static final short IDX_TEXT_WRAPPING

      Text Wrapping index = 121
      See Also:
        Constant Field Values

    - #### IDX_TEXT_SCROLLING

          public static final short IDX_TEXT_SCROLLING

      Text Scrolling index = 122
      See Also:
        Constant Field Values

    - #### IDX_TEXT_ATTRIBUTE

          public static final short IDX_TEXT_ATTRIBUTE

      Text Attribute index = 123
      See Also:
        Constant Field Values

    - #### IDX_TCP

          public static final short IDX_TCP

      TCP index = 128
      See Also:
        Constant Field Values

    - #### IDX_UDP

          public static final short IDX_UDP

      UDP index = 129
      See Also:
        Constant Field Values

    - #### IDX_PROACTIVE_UICC_DISPLAY_TEXT_VARIABLE_TIMEOUT

          public static final short IDX_PROACTIVE_UICC_DISPLAY_TEXT_VARIABLE_TIMEOUT

      Proactive UICC Display Text Variable Timeout index = 136
      See Also:
        Constant Field Values

    - #### IDX_PROACTIVE_UICC_GET_INKEY_HELP_SUPPORTED

          public static final short IDX_PROACTIVE_UICC_GET_INKEY_HELP_SUPPORTED

      Proactive UICC Get Inkey Help Supported index = 137
      See Also:
        Constant Field Values

    - #### IDX_USB

          public static final short IDX_USB

      USB index = 138
      See Also:
        Constant Field Values

    - #### IDX_PROACTIVE_UICC_GET_INKEY_VARIABLE_TIMEOUT

          public static final short IDX_PROACTIVE_UICC_GET_INKEY_VARIABLE_TIMEOUT

      Proactive UICC Get Inkey Variable Timeout index = 139
      See Also:
        Constant Field Values

    - #### IDX_PROVIDE_LOCAL_INFORMATION_ESN

          public static final short IDX_PROVIDE_LOCAL_INFORMATION_ESN

      Provide Local Information ESN index = 140
      See Also:
        Constant Field Values

    - #### IDX_PROVIDE_LOCAL_INFORMATION_IMEISV

          public static final short IDX_PROVIDE_LOCAL_INFORMATION_IMEISV

      Provide Local Information (IMEISV)= 142;
      See Also:
        Constant Field Values

    - #### IDX_PROVIDE_LOCAL_INFORMATION_SEARCH_MODE_CHANGE

          public static final short IDX_PROVIDE_LOCAL_INFORMATION_SEARCH_MODE_CHANGE

      Provide Local Information (Search Mode Change) = 143
      See Also:
        Constant Field Values

    - #### IDX_WML_BROWSER_SUPPORTED

          public static final short IDX_WML_BROWSER_SUPPORTED

      WML Browser supported = 160
      See Also:
        Constant Field Values

    - #### IDX_XHTML_BROWSER_SUPPORTED

          public static final short IDX_XHTML_BROWSER_SUPPORTED

      XHTML Browser supported = 161
      See Also:
        Constant Field Values

    - #### IDX_HTML_BROWSER_SUPPORTED

          public static final short IDX_HTML_BROWSER_SUPPORTED

      HTML Browser supported = 162
      See Also:
        Constant Field Values

    - #### IDX_CHTML_BROWSER_SUPPORTED

          public static final short IDX_CHTML_BROWSER_SUPPORTED

      CHTML Browser supported = 163
      See Also:
        Constant Field Values

    - #### IDX_PROVIDE_LOCAL_INFORMATION_BATTERY_STATE

          public static final short IDX_PROVIDE_LOCAL_INFORMATION_BATTERY_STATE

      Provide Local Information (Battery State) = 169
      See Also:
        Constant Field Values

    - #### IDX_PLAY_TONE_MELODY_THEMED_TONES

          public static final short IDX_PLAY_TONE_MELODY_THEMED_TONES

      Play Tone (melody Tones and Themed tones) = 170
      See Also:
        Constant Field Values

    - #### IDX_MULTI_MEDIA_CALL_IN_SET_UP_CALL

          public static final short IDX_MULTI_MEDIA_CALL_IN_SET_UP_CALL

      Multi-media Call in SET UP CALL = 171
      See Also:
        Constant Field Values

    - #### IDX_SET_FRAMES

          public static final short IDX_SET_FRAMES

      Set Frames = 176
      See Also:
        Constant Field Values

    - #### IDX_GET_FRAMES_STATUS

          public static final short IDX_GET_FRAMES_STATUS

      Get Frames Status = 177
      See Also:
        Constant Field Values

    - #### IDX_EVENT_BROWSING_STATUS

          public static final short IDX_EVENT_BROWSING_STATUS

      Event: Browsing Status = 192
      See Also:
        Constant Field Values

    - #### IDX_MULTIPLE_ACCESS_TECHNOLOGIES_SUPPORT

          public static final short IDX_MULTIPLE_ACCESS_TECHNOLOGIES_SUPPORT

      Support: Multiple access technologies = 199
      See Also:
        Constant Field Values

    - #### IDX_ALIGNMENT_LEFT

          public static final short IDX_ALIGNMENT_LEFT

      Text Attribute: Alignment Left = 216
      See Also:
        Constant Field Values

    - #### IDX_ALIGNMENT_CENTER

          public static final short IDX_ALIGNMENT_CENTER

      Text Attribute: Alignment Center = 217
      See Also:
        Constant Field Values

    - #### IDX_ALIGNMENT_RIGHT

          public static final short IDX_ALIGNMENT_RIGHT

      Text Attribute: Alignment Right = 218
      See Also:
        Constant Field Values

    - #### IDX_FONT_SIZE_NORMAL

          public static final short IDX_FONT_SIZE_NORMAL

      Text Attribute: Font Size Normal = 219
      See Also:
        Constant Field Values

    - #### IDX_FONT_SIZE_LARGE

          public static final short IDX_FONT_SIZE_LARGE

      Text Attribute: Font Size Large = 220
      See Also:
        Constant Field Values

    - #### IDX_FONT_SIZE_SMALL

          public static final short IDX_FONT_SIZE_SMALL

      Text Attribute: Font Size Small = 221
      See Also:
        Constant Field Values

    - #### IDX_STYLE_NORMAL

          public static final short IDX_STYLE_NORMAL

      Text Attribute: Style Normal = 224
      See Also:
        Constant Field Values

    - #### IDX_STYLE_BOLD

          public static final short IDX_STYLE_BOLD

      Text Attribute: Style Bold = 224
      See Also:
        Constant Field Values

    - #### IDX_STYLE_ITALIC

          public static final short IDX_STYLE_ITALIC

      Text Attribute: Style Italic = 226
      See Also:
        Constant Field Values

    - #### IDX_STYLE_UNDERLINED

          public static final short IDX_STYLE_UNDERLINED

      Text Attribute: Style Underlined = 227
      See Also:
        Constant Field Values

    - #### IDX_STYLE_STRIKETHROUGH

          public static final short IDX_STYLE_STRIKETHROUGH

      Text Attribute: Style Strikethrough = 228
      See Also:
        Constant Field Values

    - #### IDX_STYLE_TEXT_FOREGROUND_COLOUR

          public static final short IDX_STYLE_TEXT_FOREGROUND_COLOUR

      Text Attribute: Style Text Colour = 229
      See Also:
        Constant Field Values

    - #### IDX_STYLE_TEXT_BACKGROUND_COLOUR

          public static final short IDX_STYLE_TEXT_BACKGROUND_COLOUR

      Text Attribute: Style Text Background Colour = 230
      See Also:
        Constant Field Values

    - #### IDX_TERMINAL_APPLICATIONS

          public static final short IDX_TERMINAL_APPLICATIONS

      Proactive UICC: TERMINAL APPLICATIONS = 234
      See Also:
        Constant Field Values

    - #### IDX_PROACTIVE_UICC_ACTIVATE

          public static final short IDX_PROACTIVE_UICC_ACTIVATE

      Proactive UICC: ACTIVATE = 236
      See Also:
        Constant Field Values

    - #### IDX_PROACTIVE_UICC_PROVIDE_LOCAL_INFORMATION_BROADCAST_NETWORK

          public static final short IDX_PROACTIVE_UICC_PROVIDE_LOCAL_INFORMATION_BROADCAST_NETWORK

      Proactive UICC: PROVIDE LOCAL INFORMATION (Boradcast Network Informations)=238
      See Also:
        Constant Field Values

    - #### IDX_PROACTIVE_UICC_CONTACTLESS_STATE_CHANGED

          public static final short IDX_PROACTIVE_UICC_CONTACTLESS_STATE_CHANGED

      Proactive UICC: Contactless State Changed = 240
      See Also:
        Constant Field Values

    - #### IDX_OPEN_CHANNEL_COFIRMATION_PARAMETER

          public static final short IDX_OPEN_CHANNEL_COFIRMATION_PARAMETER

      Deprecated.
      Confirmation parameters supported for OPEN CHANNEL in Terminal Server Mode = 242
      See Also:
        Constant Field Values

    - #### IDX_OPEN_CHANNEL_CONFIRMATION_PARAMETER

          public static final short IDX_OPEN_CHANNEL_CONFIRMATION_PARAMETER

      Confirmation parameters supported for OPEN CHANNEL in Terminal Server Mode = 242
      See Also:
        Constant Field Values

    - #### IDX_CAT_SUPPORTED

          public static final short IDX_CAT_SUPPORTED

      Support of CAT over the modem interface (if class "s" is supported) = 244
      See Also:
        Constant Field Values

    - #### IDX_CONTAINER_AND_SESSION_CONTROL

          public static final short IDX_CONTAINER_AND_SESSION_CONTROL

      Proactive UICC: Profile Container, Envelope Container, COMMAND CONTAINER and ENCAPSULATED SESSION CONTROL = 247;
      See Also:
        Constant Field Values

    - #### IDX_LAUNCH_PARAMETERS_FOR_OPEN_CHANNEL

          public static final short IDX_LAUNCH_PARAMETERS_FOR_OPEN_CHANNEL

      Launch parameter supported for OPEN CHANNEL in Terminal Server Mode = 251
      See Also:
        Constant Field Values

    - #### IDX_DIRECT_COMMUNICATION_FOR_OPEN_CHANNEL

          public static final short IDX_DIRECT_COMMUNICATION_FOR_OPEN_CHANNEL

      Direct communication channel supported for OPEN CHANNEL in Terminal Server Mode = 252;
      See Also:
        Constant Field Values

    - #### IDX_SECURE_CONTAINER_AND_SESSION_CONTROL

          public static final short IDX_SECURE_CONTAINER_AND_SESSION_CONTROL

      Proactive UICC: Security for Profile Container, Envelope Container, COMMAND CONTAINER and ENCAPSULATED SESSION CONTROL = 253
      See Also:
        Constant Field Values

    - #### IDX_REFRESH_ENFORCEMENT_POLICY

          public static final short IDX_REFRESH_ENFORCEMENT_POLICY

      Support of refresh enforcement policy = 255
      See Also:
        Constant Field Values

    - #### IDX_DNS_SERVER_ADDRESS_OPEN_CHANNEL

          public static final short IDX_DNS_SERVER_ADDRESS_OPEN_CHANNEL

      Support for DNS server address request for OPEN CHANNEL for packet data service bearer = 256
      See Also:
        Constant Field Values

    - #### IDX_NETWORK_ACCESS_NAME_REUSE_CLOSE_CHANNEL

          public static final short IDX_NETWORK_ACCESS_NAME_REUSE_CLOSE_CHANNEL

      Support of NEtwork Access Name reuse for CLOSE CHANNEL for packet data service bearer = 257
      See Also:
        Constant Field Values

    - #### IDX_EVENT_POLL_INTERVAL_NEGOTIATION

          public static final short IDX_EVENT_POLL_INTERVAL_NEGOTIATION

      Event Poll Interval Negotiation support(i.e. class as is supported) = (short)258;
      See Also:
        Constant Field Values

    - #### IDX_PROVIDE_LOCAL_INFORMATION_SUPPORTED_RADIO_ACCESS_TECHNOLOGIES

          public static final short IDX_PROVIDE_LOCAL_INFORMATION_SUPPORTED_RADIO_ACCESS_TECHNOLOGIES

      Proactive UICC: PROVIDE LOCAL INFORMATION (Supported Radio Access Technologies) = (short)260;
      See Also:
        Constant Field Values

    - #### IDX_REFRESH_eUICC_PROFILE_SWITCH

          public static final short IDX_REFRESH_eUICC_PROFILE_SWITCH

      Support of Refresh eUICC Profile Switch = (short)267;
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### check

          public static boolean check(byte index)
                               throws ToolkitException

      Checks a facility in the handset profile.
      Parameters:
        `index` - the number of the facility to check, according to the table above.
      Returns:
        true if the facility is supported, false if facility is not supported, or if facility-index outside TerminalProfile data
      Throws:
        `ToolkitException` - with the following reason codes:
        - TERMINAL_PROFILE_NOT_AVAILABLE if Terminal Profile data are not available
        - BAD_INPUT_PARAMETER if index has a negative value

    - #### check

          public static boolean check(byte[] mask,
                                      short offset,
                                      short length)
                               throws java.lang.NullPointerException,
                                      java.lang.ArrayIndexOutOfBoundsException,
                                      ToolkitException

      Checks a set of facilities in the handset profile. The method checks all the facilities corresponding to bits set to 1 in the mask buffer.

      Notes:

      - If `offset` or `length` parameter is negative an `ArrayIndexOutOfBoundsException` exception is thrown and no check is performed.
      - If `offset+length` is greater than `mask.length`, the length of the `mask` array an `ArrayIndexOutOfBoundsException` exception is thrown and no check is performed.
      Parameters:
        `mask` - a byte array containing the mask to compare with the profile
        `offset` - the starting offset of the mask in the byte array
        `length` - the length of the mask (at least 1)
      Returns:
        true if the bitwise AND of the TerminalProfile data padded with 0 and the `mask` is equal to the `mask` , false otherwise. If `length` is equal to `0`, true is returned.
      Throws:
        `java.lang.NullPointerException` - if `mask` is `null`
        `java.lang.ArrayIndexOutOfBoundsException` - if check would cause access of data outside mask array bounds
        `ToolkitException` - with the following reason codes:
        - TERMINAL_PROFILE_NOT_AVAILABLE if Terminal Profile data are not available

    - #### check

          public static boolean check(short index)
                               throws ToolkitException

      Checks a facility in the handset profile.
      Parameters:
        `index` - the number of the facility to check, according to the table above.
      Returns:
        true if the facility is supported, false if facility is not supported, or if facility-index outside TerminalProfile data
      Throws:
        `ToolkitException` - with the following reason codes:
        - TERMINAL_PROFILE_NOT_AVAILABLE if Terminal Profile data are not available
        - BAD_INPUT_PARAMETER if index has a negative value

    - #### getValue

          public static short getValue(short indexMSB,
                                       short indexLSB)
                                throws ToolkitException

      Returns the binary value of a parameter, delimited by two indexes, from the handset profile.
      Parameters:
        `indexMSB` - index of the Most Significant Bit of the handset profile .
        `indexLSB` - index of the Lowest Significant Bit of the handset profile .
      Returns:
        binary value of the data field indicated in the handset profile. The `indexLSB` bit in the TerminalProfile data is the Lowest Significant bit in the short returned value. If padding is necessary, the returned value is left padded with 0. The values outside the TerminalProfile data available are considered to bet set to 0. The return value is according to the following example:
        - If `indexMSB`=108 and `indexLSB`=104, the return value is the number of characters down the Terminal display.
        - If `indexMSB`=31 and `indexLSB`=16, the return value is a short built from the 4th and 3rd byte of the handset profile with the 4th byte as the Most significant byte.
      Throws:
        `ToolkitException` - with the following reason codes:
        - TERMINAL_PROFILE_NOT_AVAILABLE if Terminal Profile data are not available
        - BAD_INPUT_PARAMETER if `(indexMSB >= indexLSB +16)` or `(indexMSB < indexLSB)` or `(indexMSB < 0)` or `(indexLSB < 0)`

    - #### copy

          public static short copy(short startOffset,
                                   byte[] dstBuffer,
                                   short dstOffset,
                                   short dstLength)
                            throws java.lang.ArrayIndexOutOfBoundsException,
                                   java.lang.NullPointerException,
                                   ToolkitException

      Copies a part of the handset profile in a buffer. The values outside the TerminalProfile data available are considered to bet set to 0.

      Notes:

      - If `dstOffset` or `dstLength` parameter is negative an `ArrayIndexOutOfBoundsException` exception is thrown and no copy is performed.
      - If `dstOffset+dstLength` is greater than `dstBuffer.length`, the length of the `dstBuffer` array an `ArrayIndexOutOfBoundsException` exception is thrown and no copy is performed.
      Parameters:
        `startOffset` - offset of the handset profile first byte to be copied
        `dstBuffer` - destination byte array
        `dstOffset` - offset within destination byte array to start copy into
        `dstLength` - byte length to be copy
      Returns:
        dstOffset + dstLength
      Throws:
        `java.lang.ArrayIndexOutOfBoundsException` - if copy would cause access of data outside array bounds
        `java.lang.NullPointerException` - if `dstBuffer` is null
        `ToolkitException` - with the following reason codes:
        - TERMINAL_PROFILE_NOT_AVAILABLE if Terminal Profile data are not available
        - BAD_INPUT_PARAMETER if the `startOffset` is negative

Copyright © 2017 ETSI All Rights Reserved.